libmarblewidget-qt5-28_17.08.3-3.2_i386.deb


Advertisement

Description

libmarblewidget-qt5-28 - Marble globe widget library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmarblewidget-qt5-28_17.08.3-3.2_i386.deb
Package name libmarblewidget-qt5-28
Package version 17.08.3
Package release 3.2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://marble.kde.org/
License -
Maintainer Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 2.07 MB
Installed size 7.17 MB
Marble is a generic geographical map widget and framework for KDE
applications. The Marble widget shows the earth as a sphere but does not
require hardware acceleration.  A minimal set of geographical data is
included, so it can be used without an internet connection.
This package contains shared libraries for the Marble globe widget.
This package is part of the KDE education module.

Alternatives

Package Version Architecture Repository
libmarblewidget-qt5-28_17.08.3-3.2_amd64.deb 17.08.3 amd64 Debian Main
libmarblewidget-qt5-28 - - -

Requires

Name Value
libastro1 = 4:17.08.3-3.2
libc6 >= 2.4
libgcc1 >= 1:4.2
libphonon4qt5-4 >= 4:4.8.0
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.4
libqt5gui5 >= 5.8.0
libqt5network5 >= 5.4
libqt5printsupport5 >= 5.4
libqt5svg5 >= 5.6.0~beta
libqt5webkit5 >= 5.6.0~rc
libqt5widgets5 >= 5.4
libqt5xml5 >= 5.4
libstdc++6 >= 4.9
marble-qt-data >= 4:17.08.3-3.2
phonon4qt5 -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmarblewidget-qt5-28_17.08.3-3.2_i386.deb
Source Package marble

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmarblewidget-qt5-28 deb package:
    # sudo apt-get install libmarblewidget-qt5-28

Files

Path
/usr/lib/i386-linux-gnu/libmarblewidget-qt5.so.0.28.0
/usr/lib/i386-linux-gnu/libmarblewidget-qt5.so.28
/usr/share/doc/libmarblewidget-qt5-28/changelog.Debian.gz
/usr/share/doc/libmarblewidget-qt5-28/changelog.gz
/usr/share/doc/libmarblewidget-qt5-28/copyright

Changelog

2019-05-18 - Niels Thykier <niels@thykier.net>
marble (4:17.08.3-3.2) unstable; urgency=medium
* Non-maintainer upload.
[ Frédéric Bonnard ]
* Add Comment fields to the .desktop files as they are now
required by the Appstream generator.  (Closes: #923592)
2018-10-27 - Reiner Herrmann <reiner@reiner-h.de>
marble (4:17.08.3-3.1) unstable; urgency=low
* Non-maintainer upload.
* Add missing qml-module dependencies for marble-maps. (Closes: #879756)
* Add patch to build with Qt 5.11 by including missing headers.
2018-01-11 - Pino Toscano <pino@debian.org>
marble (4:17.08.3-3) unstable; urgency=medium
* Team upload.
* Unregister /etc/xdg/marble.knsrc as marble-data conffile (it is a conffile
of marble now). (Closes: #885067)
* Reshuffle the packages, also to improve the dependencies for each
component:
- new marble-qt-data: split from marble-data, contains the data needed for
libmarblewidget, and marble-qt; make libmarblewidget, and marble-data
depend on it
- new plasma-marble: contains all the Plasma-related bits; move the Plasma
dependencies for it from marble-data (Closes: #884027)
* Remove in the dh_auto_install override all the files that must not be
installed, instead of ignoring them
- simplify a bit one install file
- drop not-installed, no more needed now
* Bump Standards-Version to 4.1.3, no changes required.
2017-12-09 - Pino Toscano <pino@debian.org>
marble (4:17.08.3-2) unstable; urgency=medium
* Team upload.
* Upload to unstable. (see #883624)
* Bump Standards-Version to 4.1.2, no changes required.
* Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
drop translations.
2017-11-30 - Pino Toscano <pino@debian.org>
marble (4:17.08.3-1) experimental; urgency=medium
* Team upload.
* New upstream release.
* Merge changes from 4:16.08.3-2.
* Simplify watch file, and switch it to https.
* Remove unused debian/meta/cmake-ignore file.
* Remove unused build dependencies: libkf5config-dev, libkf5service-dev,
libopencv-core-dev, libopencv-highgui-dev, libopencv-imgproc-dev,
libprotobuf-dev, libquazip5-dev, python-dev, qtscript5-dev, and sip-dev
- explicitly add libkf5plasma-dev
* Update symbols file.
2017-09-18 - Maximiliano Curia <maxy@debian.org>
marble (4:17.08.1-1) experimental; urgency=medium
* New upstream release (17.08.1)
* Bump Standards-Version to 4.1.0.
* Update upstream metadata
* Update build-deps and deps with the info from cmake
* Update symbols files
* Bump kde-l10n breaks/replaces versions
* Release to experimental
2017-09-05 - Neon CI <neon@kde.org>
marble (4:17.08.1-0neon) xenial; urgency=medium
* New release
2017-08-17 - Neon CI <neon@kde.org>
marble (4:17.08.0-0neon) xenial; urgency=medium
* New release
2017-07-12 - Neon CI <neon@kde.org>
marble (4:17.04.3-0neon) xenial; urgency=medium
* New release
2017-06-07 - Neon CI <neon@kde.org>
marble (4:17.04.2-0neon) xenial; urgency=medium
* New release

See Also

Package Description
libmarc-charset-perl_1.35-3_i386.deb Perl module for bidirectional MARC-8 <-> Unicode conversion
libmarc-crosswalk-dublincore-perl_0.02-3_all.deb Convert data between MARC and Dublin Core
libmarc-file-marcmaker-perl_0.05-1_all.deb work with MARCMaker/MARCBreaker records
libmarc-file-mij-perl_0.04-2_all.deb read newline-delimited marc-in-json files
libmarc-lint-perl_1.52-1_all.deb Perl extension for checking validity of MARC records
libmarc-parser-raw-perl_0.06-1_all.deb parser for ISO 2709 encoded MARC records
libmarc-perl_1.07-6_all.deb Perl extension to manipulate MAchine Readable Cataloging records
libmarc-record-perl_2.0.7-1_all.deb Perl extension for handling MARC records
libmarc-spec-perl_2.0.3-1_all.deb MARCspec parser and builder
libmarc-transform-perl_0.003007-1_all.deb Perl module to transform a MARC record with a yaml configuration file
libmarc-xml-perl_1.0.5-1_all.deb Perl library to access MARC data encoded as XML
libmarco-dev_1.20.3-1_i386.deb library for Marco window manager (development files)
libmarco-private1_1.20.3-1_i386.deb library for Marco window manager
libmariadb-dev-compat_10.3.17-0+deb10u1_i386.deb MariaDB Connector/C, compatibility symlinks
libmariadb-dev_10.3.17-0+deb10u1_i386.deb MariaDB database development files
Advertisement
Advertisement